Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 707818 - net-firewall/nufw-2.2.22-r3 : fails to build with -fno-common or gcc-10
Summary: net-firewall/nufw-2.2.22-r3 : fails to build with -fno-common or gcc-10
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Netmon Herd
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: -fno-common
  Show dependency tree
 
Reported: 2020-02-01 22:06 UTC by Toralf Förster
Modified: 2020-02-02 11:22 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments
emerge-info.txt (emerge-info.txt,16.72 KB, text/plain)
2020-02-01 22:06 UTC, Toralf Förster
Details
emerge-history.txt (emerge-history.txt,270.37 KB, text/plain)
2020-02-01 22:06 UTC, Toralf Förster
Details
environment (environment,111.45 KB, text/plain)
2020-02-01 22:06 UTC, Toralf Förster
Details
etc.portage.tbz2 (etc.portage.tbz2,19.38 KB, application/x-bzip)
2020-02-01 22:06 UTC, Toralf Förster
Details
logs.tbz2 (logs.tbz2,11.45 KB, application/x-bzip)
2020-02-01 22:06 UTC, Toralf Förster
Details
net-firewall:nufw-2.2.22-r3:20200201-215541.log (net-firewall:nufw-2.2.22-r3:20200201-215541.log,50.56 KB, text/plain)
2020-02-01 22:06 UTC, Toralf Förster
Details
temp.tbz2 (temp.tbz2,34.53 KB, application/x-bzip)
2020-02-01 22:06 UTC, Toralf Förster
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Toralf Förster gentoo-dev 2020-02-01 22:06:36 UTC
  154 | GMutex *g_static_mutex_get_mutex_impl (GStaticMutex *mutex);
      |         ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~
/bin/sh ../../../../libtool  --tag=CC   --mode=link x86_64-pc-linux-gnu-gcc  -O2 -pipe -march=native -fno-common -D_POSIX_C_SOURCE=199506L -D_ISOC99_SOURCE -D_GNU_SOURCE -D_BSD_SOURCE -D_SVID_SOURCE  -Wall -Wextra -Wno-unused-parameter -O2  -Wl,-O1 -Wl,--as-needed -lgcrypt -lgpg-error -o libsystem.la -rpath /usr/lib64/nuauth/modules -rpath /usr/lib64/nuauth/modules -module -avoid-version system.lo getugroups.lo -lpam -lgthread-2.0 -Wl,--export-dynamic -lgmodule-2.0 -pthread -lglib-2.0 -lglib-2.0  
libtool: link: x86_64-pc-linux-gnu-gcc -shared  -fPIC -DPIC  .libs/system.o .libs/getugroups.o   -Wl,--as-needed -lgcrypt -lgpg-error -lpam -lgthread-2.0 -lgmodule-2.0 -lglib-2.0  -O2 -march=native -O2 -Wl,-O1 -Wl,--export-dynamic -pthread   -pthread -Wl,-soname -Wl,libsystem.so -o .libs/libsystem.so
/usr/lib/gcc/x86_64-pc-linux-gnu/9.2.0/../../../../x86_64-pc-linux-gnu/bin/ld: .libs/getugroups.o:(.bss+0x58): multiple definition of `nuauthconf'; .libs/system.o:(.bss+0x58): first defined here
/usr/lib/gcc/x86_64-pc-linux-gnu/9.2.0/../../../../x86_64-pc-linux-gnu/bin/ld: .libs/getugroups.o:(.bss+0x0): multiple definition of `system_glibc_cant_guess_maxgroups'; .libs/system.o:(.bss+0x4): first defined here

  -------------------------------------------------------------------

  This is an unstable amd64 chroot image at a tinderbox (==build bot)
  name: 17.1_desktop_gnome_systemd-libressl-20200125-150902

  -------------------------------------------------------------------

  Please see the tracker bug for details.

gcc-config -l:
 [1] x86_64-pc-linux-gnu-9.2.0 *

clang:
clang version 9.0.1 
Target: x86_64-pc-linux-gnu
Thread model: posix
InstalledDir: /usr/lib/llvm/9/bin
llvm:
9.0.1
Available Python interpreters, in order of preference:
  [1]   python3.8
  [2]   python3.7
  [3]   python3.6
  [4]   python2.7 (fallback)
Available Ruby profiles:
  [1]   ruby24 (with Rubygems)
  [2]   ruby25 (with Rubygems) *
Available Rust versions:
  [1]   rust-1.40.0 *
java-config:
The following VMs are available for generation-2:
*)	IcedTea JDK 3.14.0 [icedtea-bin-8]
Available Java Virtual Machines:
  [1]   icedtea-bin-8  system-vm
ghc:
The Glorious Glasgow Haskell Compilation System, version 7.10.3

repository:
==> /var/db/repos/gentoo/metadata/timestamp.chk <==
Sat, 01 Feb 2020 20:47:56 +0000

emerge -qpvO net-firewall/nufw
[ebuild  N    ] net-firewall/nufw-2.2.22-r3  USE="ldap pam unicode -debug -mysql -nfconntrack -nfqueue -pam_nuauth -plaintext -postgres (-prelude) -static -syslog -test"
Comment 1 Toralf Förster gentoo-dev 2020-02-01 22:06:39 UTC
Created attachment 610694 [details]
emerge-info.txt
Comment 2 Toralf Förster gentoo-dev 2020-02-01 22:06:42 UTC
Created attachment 610696 [details]
emerge-history.txt
Comment 3 Toralf Förster gentoo-dev 2020-02-01 22:06:45 UTC
Created attachment 610698 [details]
environment
Comment 4 Toralf Förster gentoo-dev 2020-02-01 22:06:48 UTC
Created attachment 610700 [details]
etc.portage.tbz2
Comment 5 Toralf Förster gentoo-dev 2020-02-01 22:06:51 UTC
Created attachment 610702 [details]
logs.tbz2
Comment 6 Toralf Förster gentoo-dev 2020-02-01 22:06:54 UTC
Created attachment 610704 [details]
net-firewall:nufw-2.2.22-r3:20200201-215541.log
Comment 7 Toralf Förster gentoo-dev 2020-02-01 22:06:57 UTC
Created attachment 610706 [details]
temp.tbz2
Comment 8 Larry the Git Cow gentoo-dev 2020-02-02 11:22:36 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=bd1c929722d4ca3cfe5b7b7dadc22b33c1aaee65

commit bd1c929722d4ca3cfe5b7b7dadc22b33c1aaee65
Author:     Jeroen Roovers <jer@gentoo.org>
AuthorDate: 2020-02-02 11:22:09 +0000
Commit:     Jeroen Roovers <jer@gentoo.org>
CommitDate: 2020-02-02 11:22:32 +0000

    net-firewall/nufw: Set CFLAGS+=-fcommon
    
    Package-Manager: Portage-2.3.87, Repoman-2.3.20
    Closes: https://bugs.gentoo.org/show_bug.cgi?id=707818
    Signed-off-by: Jeroen Roovers <jer@gentoo.org>

 net-firewall/nufw/nufw-2.2.22-r3.ebuild | 5 +++--
 1 file changed, 3 insertions(+), 2 deletions(-)